"use strict";

require("core-js/modules/es.weak-map.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionBanner = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
var _react = _interopRequireWildcard(require("react"));
var _pngs = require("../../pngs");
var _utils = require("../../utils");
require("./CoalitionBanner.scss");
var _CoalitionGtm = require("../CoalitionGtm");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CoalitionBanner = _ref => {
  let {
    item,
    gtmId,
    screen = "dashboard"
  } = _ref;
  const {
    url,
    desktop_image,
    mobile_image
  } = item;
  const [imgDesktop, solveDesktop] = (0, _react.useState)();
  const [imgMobile, solveMobile] = (0, _react.useState)();
  (0, _react.useEffect)(() => {
    const testImgDesktop = url => {
      const klass = "img desktop";
      let i = new Image();
      i.onload = () => solveDesktop((0, _utils.getImg)(url, klass));
      i.onerror = () => solveDesktop((0, _utils.getImg)(_pngs.not_available_horizontal, klass));
      i.src = url;
    };
    const testImgMobile = url => {
      const klass = "img mobile";
      let i = new Image();
      i.onload = () => solveMobile((0, _utils.getImg)(url, klass));
      i.onerror = () => solveMobile((0, _utils.getImg)(_pngs.not_available_vertical, klass));
      i.src = url;
    };
    testImgDesktop(desktop_image);
    testImgMobile(mobile_image);
  }, [item, desktop_image, mobile_image]);
  const launchTag = () => {
    const body = screen === "dashboard" ? (0, _CoalitionGtm.event_10_00)() : (0, _CoalitionGtm.event_11_00)(screen);
    (0, _CoalitionGtm.sendTag)(gtmId, body);
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "banner"
  }, /*#__PURE__*/_react.default.createElement("a", {
    href: url,
    target: "_blank",
    rel: "noopener noreferrer",
    className: "link",
    onClick: launchTag
  }, imgDesktop, imgMobile));
};
exports.CoalitionBanner = CoalitionBanner;