"use strict";

require("core-js/modules/es.weak-map.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardExtraPointsDetail = void 0;
require("core-js/modules/es.symbol.description.js");
require("core-js/modules/web.dom-collections.iterator.js");
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../../utils");
var _pngs = require("../../pngs");
require("./../CoalitionCards/CardDetail.scss");
var _CoalitionCollapsible = require("../CoalitionCollapsible");
var _CoalitionGtm = require("./../CoalitionGtm");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CoalitionCardExtraPointsDetail = _ref => {
  let {
    gtmId = null,
    card,
    origin
  } = _ref;
  const {
    image,
    title,
    extra_points,
    description,
    terms_and_conditions,
    valid_until
  } = card;
  const promoType = "puntos_extra";
  const [productImg, solveImg] = (0, _react.useState)();
  (0, _react.useEffect)(() => {
    const testImg = url => {
      let i = new Image();
      i.onload = () => solveImg((0, _utils.getImg)(url));
      i.onerror = () => solveImg((0, _utils.getImg)(_pngs.not_available_horizontal));
      i.src = url;
    };
    testImg(image);
    (() => (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_05_00)(card, origin, promoType)))();
  }, [card, gtmId, image, origin]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "card-detail"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "product-image"
  }, productImg), /*#__PURE__*/_react.default.createElement("div", {
    className: "bullet"
  }, extra_points ? "+ ".concat((0, _utils.drawBalance)(extra_points), " puntos adicionales") : "Te da más puntos"), /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, description), /*#__PURE__*/_react.default.createElement(_utils.ExpiracyDetail, {
    expiracy: valid_until
  }), /*#__PURE__*/_react.default.createElement(_CoalitionCollapsible.CoalitionCollapsible, {
    terms: terms_and_conditions,
    sendGtm: opened => {
      if (opened) (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_05_01)(card, origin, promoType));
    }
  }));
};
exports.CoalitionCardExtraPointsDetail = CoalitionCardExtraPointsDetail;