"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionModal = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDom = _interopRequireDefault(require("react-dom"));
var _focusTrapReact = _interopRequireDefault(require("focus-trap-react"));
var _pngs = require("../../pngs");
var _utils = require("../../utils");
require("./CoalitionModal.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionModal = _ref => {
  let {
    onClickOutside,
    onKeyDown,
    modalRef,
    title,
    closeModal,
    children
  } = _ref;
  return /*#__PURE__*/_reactDom.default.createPortal( /*#__PURE__*/_react.default.createElement(_focusTrapReact.default, null, /*#__PURE__*/_react.default.createElement("aside", {
    tag: "aside",
    role: "dialog",
    tabIndex: "-1",
    "aria-modal": "true",
    className: "modal-cover",
    onClick: onClickOutside,
    onKeyDown: onKeyDown
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-area",
    ref: modalRef
  }, /*#__PURE__*/_react.default.createElement(ModalHeader, {
    closeModal: closeModal,
    title: title
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-body"
  }, children)))), document.body);
};
exports.CoalitionModal = CoalitionModal;
const ModalHeader = _ref2 => {
  let {
    closeModal,
    title
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-header"
  }, /*#__PURE__*/_react.default.createElement("button", {
    className: "close-button",
    onClick: closeModal
  }, (0, _utils.getImg)(_pngs.chevron_left)), /*#__PURE__*/_react.default.createElement("h4", {
    className: "modal-header-title"
  }, title));
};