"use strict";

require("core-js/modules/es.object.assign.js");
require("core-js/modules/es.weak-map.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FaqsPage = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/es.promise.js");
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../utils");
var _pngs = require("../pngs");
var _components = require("../components");
var _reactCollapsed = _interopRequireDefault(require("react-collapsed"));
var _CoalitionGtm = require("../components/CoalitionGtm/CoalitionGtm");
require("./Pages.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FaqsPage = _ref => {
  let {
    faqs = [],
    gtmId,
    buttonClicked
  } = _ref;
  const [content, setContent] = (0, _react.useState)();
  (0, _react.useEffect)(() => {
    const buildFaqs = async () => {
      if (!faqs || faqs.length === 0) return;
      await setContent(faqs.map((block, k) => /*#__PURE__*/_react.default.createElement(FaqsCard, _extends({
        key: k
      }, block, {
        gtmId: gtmId
      }))));
    };
    buildFaqs();
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [gtmId]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "faqs-page"
  }, /*#__PURE__*/_react.default.createElement(_components.CoalitionButton, {
    label: "Ayuda",
    klass: "nav-button",
    onClickEvent: buttonClicked
  }, (0, _utils.getImg)(_pngs.chevron_left, "back-icon")), /*#__PURE__*/_react.default.createElement("div", {
    className: "contact-us",
    onClick: () => (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_07_01)())
  }, /*#__PURE__*/_react.default.createElement("span", null, (0, _utils.getImg)(_pngs.call_center)), /*#__PURE__*/_react.default.createElement("label", null, "Comun\xEDcate con nosotros al: "), /*#__PURE__*/_react.default.createElement("a", {
    href: "tel:+525552695000"
  }, /*#__PURE__*/_react.default.createElement("strong", null, "55 5269 5000"))), /*#__PURE__*/_react.default.createElement("div", {
    className: "current-content"
  }, content)));
};
exports.FaqsPage = FaqsPage;
const FaqsCard = _ref2 => {
  let {
    title,
    data,
    id,
    gtmId
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
    className: "faq-block-name"
  }, title), data.map((_ref3, idx) => {
    let {
      question,
      answer
    } = _ref3;
    return /*#__PURE__*/_react.default.createElement(FaqRow, {
      key: (0, _utils.makeId)(7),
      question: question,
      answer: answer,
      gtmId: gtmId,
      id: id,
      section: title,
      position: idx + 1
    });
  }));
};
const FaqRow = _ref4 => {
  let {
    question,
    answer,
    gtmId,
    id,
    section,
    position
  } = _ref4;
  const {
    getCollapseProps,
    getToggleProps,
    isExpanded
  } = (0, _reactCollapsed.default)();
  (0, _react.useEffect)(() => {
    const launchTag = async () => {
      if (!isExpanded) return;
      (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_06_00)({
        id,
        section,
        question,
        position
      }));
    };
    launchTag();
  }, [gtmId, id, isExpanded, position, question, section]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "faq-row-container"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "collapsible"
  }, /*#__PURE__*/_react.default.createElement("div", _extends({
    className: "header collapsible-".concat(isExpanded ? "open" : "closed")
  }, getToggleProps()), /*#__PURE__*/_react.default.createElement("label", null, question), (0, _utils.getImg)(isExpanded ? _pngs.chevron_up : _pngs.chevron_down)), /*#__PURE__*/_react.default.createElement("div", getCollapseProps(), /*#__PURE__*/_react.default.createElement("div", {
    className: "content"
  }, answer))));
};